<?php

namespace Modules\Subscription\Interfaces;

use Modules\Subscription\Models\Subscription;

interface SubscriptionRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Subscription;
    public function update(array $request, Subscription $subscription): Subscription;
    public function destroy(Subscription $subscription): void;
    public function destroyAll(array $ids): void;
    public function restore(Subscription $subscription): void;
    public function restoreAll(array $ids): void;
}
